UT_hash_table Struct Reference

`#include <uthash.h>`

Collaboration diagram for UT_hash_table:
[legend]

## Data Fields

UT_hash_bucket * | buckets
unsigned | num_buckets
unsigned | log2_num_buckets
unsigned | num_items
struct UT_hash_handle * | tail
ptrdiff_t | hho
unsigned | ideal_chain_maxlen
unsigned | nonideal_items
unsigned | ineff_expands
unsigned | noexpand
uint32_t | signature

## Detailed Description

Definition at line 919 of file uthash.h.

## Field Documentation

## buckets

UT_hash_bucket* UT_hash_table::buckets

Definition at line 920 of file uthash.h.

## hho

ptrdiff_t UT_hash_table::hho

Definition at line 924 of file uthash.h.

## ideal_chain_maxlen

unsigned UT_hash_table::ideal_chain_maxlen

Definition at line 928 of file uthash.h.

## ineff_expands

unsigned UT_hash_table::ineff_expands

Definition at line 941 of file uthash.h.

## log2_num_buckets

unsigned UT_hash_table::log2_num_buckets

Definition at line 921 of file uthash.h.

## noexpand

unsigned UT_hash_table::noexpand

Definition at line 941 of file uthash.h.

## nonideal_items

unsigned UT_hash_table::nonideal_items

Definition at line 933 of file uthash.h.

## num_buckets

unsigned UT_hash_table::num_buckets

Definition at line 921 of file uthash.h.

## num_items

unsigned UT_hash_table::num_items

Definition at line 922 of file uthash.h.

## signature

uint32_t UT_hash_table::signature

Definition at line 943 of file uthash.h.

## tail

struct UT_hash_handle* UT_hash_table::tail

Definition at line 923 of file uthash.h.

The documentation for this struct was generated from the following file:

- uthash.h